#!/bin/sh
#
#  This file is part of WEEVIL.
#
#  Authors: See the file AUTHORS for full details.
#
#  Copyright (C) 2002-2006 University of Colorado
#
#  Weevil is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Weevil is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Weevil.  If not, see <http://www.gnu.org/licenses/>.
#

#
# check the arguments
#
define(`theWeevilRoot', `WVL_Host_'WVL_Host_ID`_weevilRoot')dnl
if [ $# -ne 2 ]
then
        echo "parameter error: You have $# arugment(s) instead of 2."
        echo "usage: sh WVL_Experiment_Name`_'WVL_Host_ID`_timestamp.sh' <outputfile> <outputstring>"
        exit
fi

timefile=theWeevilRoot/WVL_Experiment_Name`/wvl_expstart.time'
changequote([[, ]])dnl

expstartsecs=`cat $timefile`
requestsecs=`date +%s`
simtime=`expr $requestsecs - $expstartsecs`
echo -n $simtime $2' ' >> $1
changequote(`, ')dnl
