dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVIL.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2006 University of Colorado
dnl
dnl  Weevil is free software: you can redistribute it and/or modify
dnl  it under the terms of the GNU General Public License as published by
dnl  the Free Software Foundation, either version 3 of the License, or
dnl  (at your option) any later version.
dnl
dnl  Weevil is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with Weevil.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl
dnl
define(`theActor', WVL_Actor_ID)dnl
define(`theEntity', `WVL_Actor_'theActor`_entity')dnl
define(`theHost', `WVL_ComponentHost_'theEntity`_host')dnl
define(`theAccount', `WVL_Host_'theHost`_account')dnl
define(`theAddress', `WVL_Host_'theHost`_address')dnl
define(`theWeevilRoot', `WVL_Host_'theHost`_weevilRoot')dnl
ifelse(WVL_SYS_Contains(theEntity, theComponents), `true', `define(`theComponent', theEntity)dnl
define(`theCompType', `WVL_Component_'theComponent`_type')dnl
define(`theCompPath', theWeevilRoot`/'WVL_Experiment_Name`/'theCompType`/'theComponent)dnl
define(`theCompStartScript', theCompPath/WVL_Experiment_Name`_'theComponent`_start.sh')dnl
define(`theCompStopScript', theCompPath/WVL_Experiment_Name`_'theComponent`_stop.sh')dnl
define(`theSoftwarePath', theWeevilRoot`/'WVL_Experiment_Name`/'theCompType`/software')')dnl
define(`theActorPath', theWeevilRoot/WVL_Experiment_Name/theActor)dnl
define(`theActorScript', WVL_Experiment_Name`_'theActor`.sh')dnl
define(`theActorJavaProgram', WVL_Experiment_Name`_'theActor)dnl
define(`theExpRoot', theWeevilRoot/WVL_Experiment_Name)dnl
define(`theTimeStampScript', theExpRoot/WVL_Experiment_Name`_'theHost`_timestamp.sh')dnl
define(`theFileTransferScript', theWeevilRoot/weevil-sendFile.sh)dnl
define(`theMessageTransferScript', theWeevilRoot/weevil-sendMessage.sh)dnl
dnl
include(WVL_SYS_Echo(`WVL_ActorProgram_'WVL_SYS_Echo(`WVL_Actor_'theActor`_program')`_binaryDistDir')/WVL_SYS_Echo(`WVL_ActorProgram_'WVL_SYS_Echo(`WVL_Actor_'theActor`_program')`_receiveProgram'))