dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVIL.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2006 University of Colorado
dnl
dnl  Weevil is free software: you can redistribute it and/or modify
dnl  it under the terms of the GNU General Public License as published by
dnl  the Free Software Foundation, either version 3 of the License, or
dnl  (at your option) any later version.
dnl
dnl  Weevil is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with Weevil.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl
dnl
define(`theExperiment', `WVL_Experiment_ID')dnl
ifdef(`WVL_Experiment_'theExperiment`_monitors', `define(`theMonitors', `WVL_Experiment_'theExperiment`_monitors')', `define(`theMonitors', `')')dnl
define(`theTestbed', `WVL_Experiment_'theExperiment`_testbed')dnl
define(`theSUE', `WVL_Experiment_'theExperiment`_sue')dnl
define(`theComponentHosts', `WVL_Experiment_'theExperiment`_componentHosts')dnl
define(`theComponents', `WVL_SUE_'theSUE`_components')dnl
define(`theRelations', `WVL_SUE_'theSUE`_relations')dnl
dnl
dnl =============decide the CHMap each component will use==============
dnl
WVL_SYS_Foreach(`i', `dnl
define(`WVL_ComponentHost_'WVL_SYS_Echo(`WVL_ComponentHost_'i`_component')`_chmap', i)dnl
define(`WVL_ComponentHost_'WVL_SYS_Echo(`WVL_ComponentHost_'i`_component')`_host', WVL_SYS_Echo(`WVL_ComponentHost_'i`_host'))dnl
define(`WVL_EntityHost_'WVL_SYS_Echo(`WVL_ComponentHost_'i`_component')`_host', WVL_SYS_Echo(`WVL_ComponentHost_'i`_host'))', dnl
theComponentHosts)dnl
dnl
WVL_SYS_Fortwovar(`i', `j', `define(`WVL_Host_'i`_replace', j)', `theDownHosts', `theNewHosts')dnl
WVL_SYS_Foreach(`i', `dnl
WVL_SYS_Foreach(`j', `ifelse(WVL_SYS_Echo(`WVL_ComponentHost_'j`_host'), i, `dnl
`define(`WVL_ComponentHost_''j``_oldhost', 'i`)'
`WVL_SYS_ComponentHost('WVL_SYS_Echo(`WVL_ComponentHost_'j`_chmap')`, 'j`, 'WVL_SYS_Echo(`WVL_Host_'i`_replace')`)'
')', theComponents)', dnl
theDownHosts)dnl
dnl
